package com.codeslap.apps.api;


/**
 * Holder for all API constants
 *
 * @author evelio
 * @version 1.0
 */
public class ApiConstants {
    public static final String PARAM_EMAIL = "email";
    public static final String PARAM_PASSWORD = "password";
    public static final String PARAM_USER_ID = "user_id";
    public static final String PARAM_APP_ID = "app_id";
    public static final String PARAM_FEEDBACK_NAME = "feedback[name]";
    public static final String PARAM_FEEDBACK_EMAIL = "feedback[email]";
    public static final String PARAM_FEEDBACK_SUBJECT = "feedback[subject]";
    public static final String PARAM_FEEDBACK_BODY = "feedback[body]";

    /**
     * Non instance constants class
     */
    private ApiConstants() {
    }

    /**
     * Base URL for API calls
     * Note: must end with slash (/)
     */
    public static final String BASE_URL = "http://apps.codeslap.com/";

    /**
     * Login method
     */
    public static final String METHOD_LOGIN = "sessions";

    /**
     * Get apps method
     */
    public static final String METHOD_GET_APPS = "apps";

    /**
     * Get versions method
     */
    public static final String METHOD_GET_VERSIONS = "versions";

    /**
     * Send feedback method
     */
    public static final String METHOD_SEND_FEEDBACK = "feedbacks";

    /**
     * Send attachment method
     */
    public static final String METHOD_ATTACHMENTS = "attachments";
}