package com.codeslap.apps.api;

/**
 *
 * @author cristian
 */
class Logger {
    public static void d(String tag, String message) {
        if (isDebugEnabled()) {
            System.out.printf("D/%s %s\n", tag, message);
        }
    }

    private static boolean isDebugEnabled() {
        return "true".equals(System.getProperty("com.twitvid.api.debug"));
    }

    public static void e(String tag, String message, Exception exception) {
        if (exception != null) {
            exception.printStackTrace();
        }
        System.out.printf("E/%s %s\n", tag, message);
    }

    public static void e(String tag, String message) {
        System.out.printf("E/%s %s\n", tag, message);
    }
}
